export function useNumber() {
  /**
   * @description: 按分隔符格式化数字
   * @param  number 要格式化的数字
   * @param  separator  分隔符
   * @return 格式化后的数字
   */
  const formatterNumberGroup = (number: number, separator: string = ',') => {
    return number.toString().replace(/\B(?=(\d{3})+(?!\d))/g, separator)
  }

  return {
    formatterNumberGroup,
  }
}
