const baseURL = 'http://192.168.1.139:8001'

const LoginAPI = {
  login: `${baseURL}/user/login`,
}

const MaterialAPI = {
  getAllTags: `${baseURL}/property/getTags`, // 获取所有标签
  addTag: `${baseURL}/property/setTag`, // 添加标签
  getAllGamesInfo: `${baseURL}/property/gameList`, // 获取所有游戏的pid和gid信息
  uploadAsset: `${baseURL}/property/upload`, // 上传文件
  imgSubmit: `${baseURL}/property/imageSet`, // 图片提交
  videoSubmit: `${baseURL}/property/videoSet`, // 视频提交
  imgList: `${baseURL}/property/imageList`, // 图片列表
  videoList: `${baseURL}/property/videoList`, // 视频列表
  imgFilterInfo: `${baseURL}/property/getImageListHead`, // 图片列表筛选信息
  videoFilterInfo: `${baseURL}/property/getVideoListHead`, // 视频列表筛选信息
  updateImgTags: `${baseURL}/property/updateImageTags`, // 更新图片标签
  updateVideoTags: `${baseURL}/property/updateVideoTags`, // 更新视频标签
  deleteImg: `${baseURL}/property/imageDelete`, // 删除图片
  deleteVideo: `${baseURL}/property/videoDelete`, // 删除视频
}

export { MaterialAPI, LoginAPI }
